Skip to content

Get the conversation portal link

get/get-conversation-portal-link/{conversationId}
Any key

Generate a shareable portal link for a specific conversation. The conversation portal must be enabled for the chatbot. The link is valid for 30 days.

Both conversationId (path parameter) and chatbotId (query parameter) are required. The conversation itself is not looked up, so a link is returned for any conversationId.

Parameters

Sending 2 of 2 fields
Required
conversationIdstring
The UUID of the conversation.
chatbotIdstring
The unique identifier of the chatbot.
Try it · GET /get-conversation-portal-link/{conversationId}
curl 'https://api.chat-data.com/api/v2/get-conversation-portal-link/3f2b8c1e-9a4d-4e7b-8c2a-5d1e6f7a8b9c?chatbotId=6650f1c2a9e4b83d2c7a1f05' \  -H "Authorization: Bearer $CHAT_DATA_API_KEY"
Loading…

Responses

Successful response.

Content type: application/json

FieldDescription
statusstringOne of: success.
portalLinkstringThe shareable portal link for the conversation.

Example

{  "status": "success",  "portalLink": "https://chat.example.com/conversation/uJrRMVTPS7u7x5heMahGLNCNK7a3iGAltpgT9As5fqTQBfYeRgc1yi6sAzuXgIbyexBrt2DDgV0yfBRXfbnhdsJMGX2sFpiJEK1wLHpHOPWrZso7V3IiwWF_OEXz8S_bMdRl9RCqHaI4NirOS2kKx5P5p-3SxIQFTxuPLeyzU6ShbHAlrJn0WduTS-KHKGbLlUqjI1-gQL6JcKs6YJaJyovXOhikGiDB_gd6Okmc_q9nZYfz"}

Last updated October 14, 2026